View Issue Details

IDProjectCategoryView StatusLast Update
0001136Kali Linux[All Projects] Kali Package Bugpublic2014-05-05 16:35
Reporterandytuck Assigned Torhertzog  
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product Version1.0.6 
Target VersionFixed in Version1.0.7 
Summary0001136: Beef-Xss-Bundle unable to update
Descriptionroot@CIS-kali:~# apt-get -f upgrade
Reading package lists... Done
Building dependency tree
Reading state information... Done
Correcting dependencies... Done
The following packages will be upgraded:
  beef-xss
1 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
187 not fully installed or removed.
Need to get 2,225 kB of archives.
After this operation, 1,114 kB of additional disk space will be used.
Do you want to continue [Y/n]? Y
Get:1 http://http.kali.org/kali/ kali/main beef-xss all 0.4.4.9-0kali3 [2,225 kB]
Fetched 2,225 kB in 5s (422 kB/s)
Reading changelogs... Done
(Reading database ... 348130 files and directories currently installed.)
Preparing to replace beef-xss 0.4.4.5-0kali1 (using .../beef-xss_0.4.4.9-0kali3_all.deb) ...
No process(es) owned by 'beef-xss' found running; none killed.
Unpacking replacement beef-xss ...
dpkg: error processing /var/cache/apt/archives/beef-xss_0.4.4.9-0kali3_all.deb (--unpack):
 trying to overwrite '/usr/bin/beef', which is also in package beef 0.0.6-2
insserv: warning: current start runlevel(s) (empty) of script `beef-xss' overrides LSB defaults (2 3 4 5).
insserv: warning: current stop runlevel(s) (0 1 2 3 4 5 6) of script `beef-xss' overrides LSB defaults (0 1 6).
Errors were encountered while processing:
 /var/cache/apt/archives/beef-xss_0.4.4.9-0kali3_all.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)

Steps To Reproduceapt-get -f upgrade reproduces the issue everytime. Have tried "Clean" and "Purge" in apt-get.

Activities

muts

2014-04-09 08:16

administrator   ~0001673

Unclear what your issue is, this line looks suspicious:

trying to overwrite '/usr/bin/beef', which is also in package beef 0.0.6-2.

rhertzog

2014-04-09 16:40

administrator   ~0001678

There's a file conflict with the "beef" package, beef-xss should provide a /usr/bin/beef-xss instead of /usr/bin/beef to avoid that file conflict.

andytuck

2014-04-16 16:56

reporter   ~0001711

Thanks for the update. Is this a BeEF issue or a Kali implementation of BeEF?

rhertzog

2014-05-05 16:35

administrator   ~0001736

Should be fixed with beef-xss 0.4.4.9-0kali5 thut got just uploaded into kali-proposed-updates. Please report if you still have the problem with that version. Note that it requires you to upgrade kali-menu to a newer version (1.369).

Issue History

Date Modified Username Field Change
2014-04-08 22:14 andytuck New Issue
2014-04-09 08:16 muts Note Added: 0001673
2014-04-09 16:40 rhertzog Note Added: 0001678
2014-04-16 16:56 andytuck Note Added: 0001711
2014-05-05 16:35 rhertzog Note Added: 0001736
2014-05-05 16:35 rhertzog Status new => resolved
2014-05-05 16:35 rhertzog Fixed in Version => 1.0.7
2014-05-05 16:35 rhertzog Resolution open => fixed
2014-05-05 16:35 rhertzog Assigned To => rhertzog
2014-05-12 17:16 xploitx Issue cloned: 0001200